/***************************************************************************
 *   Copyright (C) 2004 by Adam Skowronski                                 *
 *   tytus@oldfield.org.pl                                                 *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "eindiv.h"

/*!
    \fn CalendarEvent::CalendarEvent()
	Default constructor of a class object.
 */
CalendarEvent::CalendarEvent()
{
	text="";
}


/*!
    \fn CalendarEvent::~CalendarEvent()
	Default destructor of a class object.
 */
CalendarEvent::~CalendarEvent()
{
}



/*!
    \fn CalendarEvent::CalendarEvent(QDate date, QString text)
	Constructor of a class object. Sets parameters of a class.
	\param date event date (or date of range start for periodical events)
	\param text event text
 */
CalendarEvent::CalendarEvent(QDate date, QString text) 
{
	startDate=date;
	this->text=text;
}



/*!
    \fn CalendarEvent::doesMatch(QDate d)
	Returns TRUE if an individual event is placed in given day.
	\param d date to comparition
	\return TRUE if event is placed on date. 
 */
bool CalendarEvent::doesMatch(QDate d)
{
	if(d == startDate)
		return TRUE;
	else
		return FALSE;
}
