/***************************************************************************
 *   Copyright (C) 2004 by Adam Skowronski                                 *
 *   tytus@oldfield.org.pl                                                 *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef FILE_H
#define FILE_H

#include "eperiod.h"
#include "epast.h"
#include <qptrlist.h>
#include "settings.h"
#include <qdatetime.h>

#define individual_file_name "individual.xml"
#define periodic_file_name "periodic.xml"
#define past_file_name "past.xml"
#define settings_file_name ".settings"
#define theme_settings_file_name "theme"
#define theme_directory "themes/"


class CalendarSettings;

/**
Class provides methods for files manipulation, and interfaces for operation on different types of files used in application

@brief File tools class
@author Adam Skowronski
*/
class CalendarFile{
public:
    CalendarFile();

    ~CalendarFile();
    void saveFile(QString filename, QString text);
    void savePeriodicEvents(QPtrList<CalendarEventPeriodic> * list);
    void saveIndividualEvents(QPtrList<CalendarEvent> * list);
    void savePastEvents(QPtrList<CalendarEventPast> * list);
    void loadIndividualEvents(QPtrList<CalendarEvent> * list);
    void loadPeriodicEvents(QPtrList<CalendarEventPeriodic> * list);
    QDate loadPastEvents(QPtrList< CalendarEventPast > * list);
};

#endif
