/***************************************************************************
 *   Copyright (C) 2004 by Adam Skowronski                                 *
 *   tytus@oldfield.org.pl                                                 *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef FPAST_H
#define FPAST_H

#include "fxml.h"
#include "epast.h"
#include <qptrlist.h>
#include <qstring.h>

/**
Class used to store and retrieve data about past events in/from file. 

@author Adam Skowronski
*/
class FilePast : public FileXML
{
public:
    FilePast(QPtrList<CalendarEventPast>* l);

    ~FilePast();
    
	QString createPastXML();
	QString addTagEventPast(CalendarEventPast * temp);
		
	void retrievePastEventParameters(QDomNode n);
	void retrievePastEvents(QDomNode n);
	QDate createPastList(QString filename);

	/** pointer to global list of individual events */
	QPtrList<CalendarEventPast>* list;

};

#endif
